#
# spec file for package python-wafo
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname wafo
Name:           python-%{modname}
Version:        0.1.2
Release:        3.24
Summary:        Toolbox for statistical analysis and simulation of random waves and loads
License:        GPL-3.0
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/wafo/
Source0:        http://pypi.python.org/packages/source/w/%{modname}/%{modname}-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-numpy-devel
BuildRequires:  python-scipy
BuildRequires:  python-setuptools
BuildRequires:  unzip
Requires:       python-Numdifftools
Requires:       python-matplotlib
Requires:       python-numpy
Requires:       python-scipy
%if 0%{?suse_version} <= 1110
%{!?python_sitelib:  %global python_sitelib  %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%else
BuildArch:      noarch
%{py_requires}
%endif

%description
Wave Analysis for Fatigue and Oceanography (WAFO) is a toolbox of Python
routines for statistical analysis and simulation of random waves and random
loads. It contain tools for:

Fatigue Analysis
----------------
 - Fatigue life prediction for random loads
 - Theoretical density of rainflow cycles

Sea modelling
-------------
 - Simulation of linear and non-linear Gaussian waves
 - Estimation of seamodels (spectrums)
 - Joint wave height, wave steepness, wave period distributions

Statistics
------------
 - Extreme value analysis
 - Kernel density estimation
 - Hidden markov models

%prep
%setup -q -n wafo-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install -O1 --skip-build --prefix=/usr --root %{buildroot}
# replace duplicate .pyo/.pyc with hardlinks
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}-py%{py_ver}.egg-info/

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sun Mar 24 2013 scorot@free.fr
- requires python-matplotlib and python-Numdifftools
* Fri Jun  1 2012 toddrme2178@gmail.com
- spec file cleanup
- add .changes file
* Sat Feb 26 2011 scorot@gtt.fr
- initial package
